<?php
/**
 * The template to display default site header
 *
 * @package EXPO
 * @since EXPO 1.0
 */

$expo_header_css   = '';
$expo_header_image = get_header_image();
$expo_header_video = expo_get_header_video();
if ( ! empty( $expo_header_image ) && expo_trx_addons_featured_image_override( is_singular() || expo_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$expo_header_image = expo_get_current_mode_image( $expo_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $expo_header_image ) || ! empty( $expo_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $expo_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $expo_header_image ) {
		echo ' ' . esc_attr( expo_add_inline_css_class( 'background-image: url(' . esc_url( $expo_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( expo_is_on( expo_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight expo-full-height';
	}
	$expo_header_scheme = expo_get_theme_option( 'header_scheme' );
	if ( ! empty( $expo_header_scheme ) && ! expo_is_inherit( $expo_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $expo_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $expo_header_video ) ) {
		get_template_part( apply_filters( 'expo_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'expo_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( expo_is_on( expo_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'expo_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'expo_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'expo_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
